package io.service;

import com.baomidou.mybatisplus.extension.service.IService;
import io.entity.UserEntity;

import java.util.Map;

public interface UserService extends  IService<UserEntity> {

    //通过用户编号或者用户详情
    UserEntity getUserByUserId(Long userId);

    //判断用户是否存在
    boolean existsUsername(String username);

    //通过用户名获取用户信息
    UserEntity getByUsername(String username);

    Map<String, Object> login(UserEntity dto);
}